package com.flossom.common.core.enums;

public enum InstrumentHttpCodeEnum {

    TWO_HUNDRED_AND_ONE(201, "可以绑定，但是不立即绑定，页面需要询问用户是否绑定"),
    TWO_HUNDRED_AND_TWO(202, "绑定过该类型仪器，但当前扫码的序列号与以前绑定的仪器的序列号不一致，询问用户是否换绑仪器"),
    TWO_HUNDRED_AND_THREE(203, "当前序列码被别人绑定了，联系客服"),
    TWO_HUNDRED_AND_FOUR(204, "用户选择的仪器与序列号对应的仪器不一致"),
    TWO_HUNDRED_AND_FIVE(205, "序列号不存在，联系客服"),
    TWO_HUNDRED_AND_SIX(206, "绑定失败，不存在该仪器，请联系客服"),
    ;

    private final Integer code;
    private final String info;

    InstrumentHttpCodeEnum(Integer code, String info) {
        this.code = code;
        this.info = info;
    }

    public Integer getCode() {
        return code;
    }

    public String getInfo() {
        return info;
    }


}
